#!/bin/bash
#
# Component: dcviewer
#
# Description:
#  Wrapper script around streamserver. If streamserver dies then restarts streamserver.
#

. $HOME/etc/setenv.sh


touch "$STREAMSERVER_RUN"

echo "$( date ) Wrapper: Starting streamserver"

echo $DCVIEWER_HOME/bin/streamserver "$@"
$DCVIEWER_HOME/bin/streamserver "$@" >/dev/null 2>&1
err=$?

if [ -f "$RUN/streamserver.startup" ] ; then
	# Error during initial startup
	exit $err
fi



while true; do

	if [ ! -f "$STREAMSERVER_RUN" ] ; then
		echo "$( date ) Wrapper: streamserver normal shutdown"
		exit 0;
	fi


	echo "$( date) Wrapper: streamserver abnormal termination"
	# Add Watson error

	$DRWATSON_HOME/addmessage.sh -t ERROR -l NONE "restarting streamserver"

	echo "$( date ) Wrapper: Restarting streamserver"

	echo $DCVIEWER_HOME/bin/streamserver "$@"
	$DCVIEWER_HOME/bin/streamserver "$@" >/dev/null 2>&1

done
