#include "imutils/IMException.h"
#include <dcmtk/ofstd/ofstring.h>
#include <filesystem>

/**
 * Get the device id corrresponding to the device type which has AFWD service
 * enabled
 *
 * @param - deviceType
 *
 * @return device id
 */
static bool isEdgeDevice() {
	
		if ( getenv( "CONF" ) == NULL )
			return false;
		OFString edgeDevicePath = OFString( getenv( "CONF" ) );
		edgeDevicePath = edgeDevicePath + "/router.rec";
		std::filesystem::path fs_path = edgeDevicePath;
		if ( std::filesystem::exists( fs_path ) ) {
			return true;
		}
		return false;
	
}
