/*
 * Component:  utils
 *
 * Purpose: 
 *   Header file for semaphore implementation to get exclusive lock on a resource
 *
 * Last Updated     : $Author$
 * Update Date Time : $Date$
 * RCS File Name    : $RCSfile$
 * RCS Revision     : $Revision$
 * Locked by        : $Locker$
 * Symbolic name    : $Name$ 
 * State            : $State$
 *
 */

#ifndef SEMAPHOREGLOBAL_H
#define SEMAPHOREGLOBAL_H

#include "imutils/IMSemaphore.h"
#include "imutils/DBConnector.h"

using namespace std;

/**
 * Creates/removes exclusive lock on a resource.
 */
class IMSemaphoreGlobal : public IMSemaphore {

	private:

		erad::db::DBConnector* dbConn;
		bool discardDbConn;
		string m_dbID;
		
	protected:

		virtual bool lockResource() override;

	public:

		IMSemaphoreGlobal( const string & resourceId, erad::db::DBConnector* pDB = nullptr );

		/**
		 * Destructor to destroy IMSemaphor object
		 */
		virtual ~IMSemaphoreGlobal();

		/**
		 * Removes the lock created by this Semaphore object from the resource
		 *
		 * @throws IMIOException if semaphore file could not be released.
		 */
		virtual void unlock();

};

#endif
