/**
 * Component: 
 *
 * Description:
 * 
 *
 * Last Updated     : $Author: $
 * Update Date Time : $Date: $
 * RCS File Name    : $RCSfile: $
 * RCS Revision     : $Revision: $
 * Locked by        : $Locker: $
 * Symbolic name    : $Name: $
 * State            : $State: $
 */
#ifndef JAVAUTILS_H_
#define JAVAUTILS_H_

#include <cstdlib>
#include <jni.h>


template <class T>
T getField(JNIEnv* pEnv, jobject thisObject, const char* fieldName)
{
	jclass thisClass = pEnv->GetObjectClass(thisObject);
	if (thisClass == NULL) abort();
	jfieldID fieldId = pEnv->GetFieldID(thisClass, fieldName, "J");
	if (fieldId == NULL) abort();

	long long value = pEnv->GetLongField(thisObject, fieldId);
	return reinterpret_cast<T>(value);
}

template <class T>
void setField(JNIEnv* pEnv, jobject thisObject, const char* fieldName, const T& value)
{
	jclass thisClass = pEnv->GetObjectClass(thisObject);
	if (thisClass == NULL) abort();
	jfieldID fieldId = pEnv->GetFieldID(thisClass, fieldName, "J");
	if (fieldId == NULL) abort();

	jlong v = reinterpret_cast<jlong>(value);
	pEnv->SetLongField(thisObject, fieldId, v);
}


class JString
{
	JNIEnv* m_pEnv;
	jstring m_jString;
	const char* m_szString;
public:
	JString(JNIEnv* pEnv, jstring jString);
	~JString();
	const char* c_str() const;
};

#endif /* JAVAUTILS_H_ */
