/*
 * Component:  utils
 *
 * Purpose:
 *   Header file for file system based lock implementation
 *
 * Last Updated     : $Author$
 * Update Date Time : $Date$
 * RCS File Name    : $RCSfile$
 * RCS Revision     : $Revision$
 * Locked by        : $Locker$
 * Symbolic name    : $Name$
 * State            : $State$
 *
 */

#ifndef __LOCK_H_INCLUDED__
#define __LOCK_H_INCLUDED__

/**
* File system based lock implementation
*/
class Lock
{
private:

	/** Identifies the object to be locked */
	char * m_lockName;

	/** indicates whether this Lock object created the lock or not */
	bool   m_isLocked;

public:

	/**
	* Constructor for creating a new Lock object
	*
	* @param lockName   identifier of the object to be locked
	*/
	Lock(const char * lockName);

	/** Destructor for destroying a Lock object */
	~Lock();

	/**
	* Try to create the lock
	*
	* @return true - if the lock was successfully created
	*/
	bool lock();

	/** Releases the lock */
	void unlock();
};

#endif //__LOCK_H_INCLUDED__
