#!/bin/bash
#
# Component: sr
#
# Description:
#  Parses and dumps report in a format easy to be processed by reportview page and/or the viewer.
#
# Usage:
#  parserep -S <studyIUID> [-n] [-e | -w | -s <sound dir>] [-o <outfile>]
#     -S <studyIUID>   :    parse report file(s) of this study
#     -e               :    include sound(s) in output as Base64 encoded string
#     -w               :    write wav files to $REPOSITORY_CACHE/xx/yy/zz/<study>/<dictuid>.wav
#     -s <sound dir>   :    write wav files to <sound dir>/<dictuid>.wav
#                      :    (directory should exist)
#     -o <outfile>     :    write output to this file instead of stdout
#     -n               :    do not create ima files
#
# Since parserep.sh simply pass all parameters to parserep, the usage info
# above is informative. Check parserep for actual usage information.
#
#
# Last Updated     : $Author$
# Update Date Time : $Date$
# RCS File Name    : $RCSfile$
# RCS Revision     : $Revision$
# Locked by        : $Locker$
# Symbolic name    : $Name$
# State            : $State$
#
#

. $HOME/etc/setenv.sh

$SR_HOME/bin/parserep $@ 2>/dev/null
