#!/bin/bash
#
# Clears cache directories for ALL studies in the system
# 
# Usage: clearallcache.sh [-p|-d]
# 
# clears all cache (-d) or processed and cache (-p) for ALL studies
# Should be used on a quiet system
#
#

. ~/etc/setenv.sh

if [ "$1" != "-p" -a "$1" != "-d" ] ; then
	NAME=`basename $0`
	echo "$NAME"
	echo
	echo "usage: $NAME [-p|-d]"
	echo 
	echo "clears all cache (-d) or processed and cache (-p) for ALL studies"
	echo
	exit 1
fi


DOPROC="false"
[ "$1" = "-p" ] && DOPROC="true"

[ -z "$REPOSITORY_CACHE" -o -z "$REPOSITORY_PROCESSED" ] && exit 1

$REPOSITORYHANDLER_HOME/bin/listDirectories $REPOSITORY_CACHE | while read s; do
	echo "Clearing cache for study $s"
	$REPOSITORYHANDLER_HOME/bin/removeResource $REPOSITORY_CACHE $s
done

if [ "$DOPROC" = "true" ] ; then
	$REPOSITORYHANDLER_HOME/bin/listDirectories $REPOSITORY_PROCESSED | while read s; do
		echo "Clearing processed for study $s"
		$REPOSITORYHANDLER_HOME/bin/removeResource $REPOSITORY_PROCESSED $s
	done
fi

echo "setting database 'Processing Status'"

if [ "$DOPROC" = "true" ] ; then
	sql.sh "update Dcstudy set PREPST=0"
else
	sql.sh "update Dcstudy set PREPST=10 where PREPST>10"
fi
