#!/bin/gawk -f
#
# Input is expected to be apache access log.
# Lists HTTP requests that took longer than Threshold seconds - according to preceding entries.
#
# Parameters:
#
# -vThresold : The threshold in seconds (default is 1)
#

BEGIN {
	prevTS = 0;

	months[ "Jan" ] = "01";
	months[ "Feb" ] = "02";
	months[ "Mar" ] = "03";
	months[ "Apr" ] = "04";
	months[ "May" ] = "05";
	months[ "Jun" ] = "06";
	months[ "Jul" ] = "07";
	months[ "Aug" ] = "08";
	months[ "Sep" ] = "09";
	months[ "Oct" ] = "10";
	months[ "Nov" ] = "11";
	months[ "Dec" ] = "12";

	if ( Threshold == "" ) {
		Threshold = 1
	}

}

{
	# 18/Nov/2014:00:00:02

	t0 = gensub("^\\[", "", 1, $4);
	split( t0, a, "[/:]" );
	t1 = a[3] " " months[ a[2] ] " " a[1] " " a[4] " " a[5] " " a[6]
	ts = mktime( t1 );


	diff = prevTS - ts;

	if ( diff > Threshold ) {
		print diff "\t" $0;
	}
	else {
		prevTS = ts;
	}
}
