<%--
 * Component: tools
 *
 * Description:
 *
 *     Checks if the queues are empty or at least there are no tasks matching the pattern word(s).
 *     Pattern words can be study UIDs, file names, device IDs, ... If no pattern specified,
 *     existence of any tasks will be checked
 *
 * Parameters:
 *
 * - cPattern : pattern word to search for (might have multiple value)
 * - cQueue : queues to be checked (CPU, NET: default: both)
 * - cDebug : true indicates print debug information
 *
 * Last Updated     : $Author$
 * Update Date Time : $Date$
 * RCS File Name    : $RCSfile$
 * RCS Revision     : $Revision$
 * Locked by        : $Locker$
 * Symbolic name    : $Name$
 * State            : $State$
--%><%@
	page import="imagemed.imsession.*,imagemed.jsputil.IfaceToolbox, imagemed.util.*"

%><%@
	page errorPage ="../main/exceptionHandler.jsp"

%>
This tool has been deprecated by SRV-266
<%--
	IMSession is = new IMSession(request, response, out); 

	response.setContentType("text/plain");

	// Check login
	if (!IfaceToolbox.isRegOK(is)) {
		out.println("#RESULT: FAILED");
		out.println("#ERROR: Login failed");
		return;
	}
  
//	String[] queueNames = request.getParameterValues("cQueue");
	String[] patterns = request.getParameterValues("cPattern");
	boolean isDebug = "true".equals(request.getParameter("cDebug"));

	StringBuffer grepCmd = new StringBuffer(512);

	//Create a regular grep command from the first pattern
	if (patterns == null || patterns.length == 0) {
		grepCmd.append("grep -r -e \"\"");
	}
	else {
		grepCmd.append("grep -r -e \"\\<");
		grepCmd.append(patterns[0]);
		grepCmd.append("\\>\"");
	}
	
	// Add queue directories to search in
//	if (queueNames != null && queueNames.length > 0) {
//		for (int i = 0; i < queueNames.length; i++) {
//			String upperQueueName = queueNames[i].toUpperCase();
//			if ("NET".equals(upperQueueName) || "CPU".equals(upperQueueName)) {
//				grepCmd.append(" " + IMEnv.getEnv("TASKD_" + upperQueueName + "_QUEUE"));
//			}
//			else {
//				out.println("#RESULT: FAILED");
//				out.println("#ERROR: Unknown queue name: " + queueNames[i]);
//				return;
//			}
//		}
//	}
//	else {
		// No queue were specified, check both
		grepCmd.append(" " + IMEnvBase.getEnv("TASKD_GLOBALQUEUE") );
//	}

	// Add additional grep commands for other patterns to filter matches only
	if (patterns != null) {
		for (int i = 1; i < patterns.length; i++) {
			grepCmd.append("| grep -e \"\\<" + patterns[i] + "\\>\"");
		}
	}

	if (isDebug) {
		out.println("grep command to be executed: " + grepCmd);
	}


	String cmd[] = new String[3];
	cmd[0] = "/bin/sh";
	cmd[1] = "-c";
	cmd[2] = grepCmd.toString();

	
	RunCommandResult res = Helper.runCommandEx(cmd, null);

	if (isDebug) {
		out.println("ExitCode: " + res.getExitCode());
		out.println("Output Stream:\n" + res.getOutput());
		out.println("Error Stream:\n" + res.getError());
	}

	if (res.getExitCode() == 0) {
		out.println("#RESULT: ERROR");
		out.println("#ERROR: tasks were found");
	}
	else if (res.getExitCode() == 1) {
		out.println("#RESULT: OK");
	}
	else {
		out.println("#RESULT: FAILED");
		out.println("#ERROR: grep error: " + res.getError());
	}

	if (true)
		return;
%>
 --%>