#!/bin/bash
#
# Component: tools
#
# Description:
#    Executes a MySQL query on the Local database, in the imagemedical database
#
# Usage:
#      lsql.sh <query> <mysql flags> 
#

. $HOME/etc/setenv.sh

query=$1
flag=$2

if [ -z "$query" ]; then
	cat <<-EOFUSAGE
		Executes a MySQL query on the Local database, in the $DBNAME database

		$0 <query> <flag>

		   \$1 - query (e.g \"select * from Target\")
		   \$2 - mysql flag ( -N for no header output, etc )
	EOFUSAGE

exit 0

fi

echo "$query" | $MYSQL_HOME/bin/mysql --host=localhost $flag $DBNAME
