#!/bin/bash
#
# Reschedules suspended tasks from the database
#
# Usage:
#    rescheduleSuspendedTasksDbase.sh 
# Last Updated     : $Author $
# Update Date Time : $Date $
# RCS File Name    : $RCSfile $
# RCS Revision     : $Revision $
# Symbolic name    : $Name $
# State            : $State $
#

. $HOME/etc/setenv.sh

dateStamp=$(date)
echo "$dateStamp : starting reschedule..."

suspTasks=$(sql.sh "select count(*) from TaskQueue where TQQUEUE='suspended'" -N)
drop=1000
wait=30
limit="2000"
sched=$(sql.sh "select count(*) from TaskQueue where TQQUEUE='scheduled' or TQQUEUE='unprocessed'" -N)
unprocfiles=$(find $TASKD_GLOBALQUEUE -maxdepth 1 -not -type d | wc -l)
alltasks=$((sched + unprocfiles))

while [[ $suspTasks -gt 0 ]] ;
do
    sched=$(sql.sh "select count(*) from TaskQueue where TQQUEUE='scheduled' or TQQUEUE='unprocessed'" -N)
    unprocfiles=$(find $TASKD_GLOBALQUEUE -maxdepth 1 -not -type d | wc -l)
	alltasks=$((sched + unprocfiles))
    
	suspTasks=$(sql.sh "select count(*) from TaskQueue where TQQUEUE='suspended'" -N)
    dateStamp=$(date)
    if [[ $alltasks -gt $limit ]] ; then
    	echo "$dateStamp : Schedule+Unprocessed queue too high ($alltasks). Waiting $wait seconds." && sleep $wait && continue
    fi
    dateStamp=$(date)
    echo "$dateStamp : Rescheduling (ordered by Priority asc) $drop / $suspTasks tasks from suspended. Scheduled+Unprocessed is $alltasks / $limit. (bottom number is limit) "
    sql.sh "update TaskQueue set TQQUEUE='unprocessed' where TQQUEUE='suspended' order by TQPRI ASC limit $drop" 
    sleep 10
done