#!/bin/bash
#
# Component: tools
#
# Description:
#   Stat post-processing module for DICOM object acquisitions
#
# Usage:
#
#    post_dicom.sh [options]
#
#	-f returns the logfile used
#	-p returns the stat properties it creates
#
# Last Updated     : $Author$
# Update Date Time : $Date$
# RCS File Name    : $RCSfile$
# RCS Revision     : $Revision$
# Locked by        : $Locker$
# Symbolic name    : $Name$
# State            : $State$


if [ "$1" == "-f" ] ; then
  echo info.log
  exit
elif [ "$1" == "-p" ] ; then
  echo "dicom_acquired"
  echo "dicom_acquired_new"
  echo "dicom_acquired_old"
  exit
fi

if [ "$1" == "-d" ] ; then
  gdate=`date -d $2 +"%b %e"`
else
  gdate=`date +"%b %e"`
fi

grep -a "Stored" | grep -a "^$gdate" | gawk '

$6=="SCP" && $7=="Stored" && \
  $8 !~"^PbR" && $8!~"^PbD"  && $8!~ "^SRt"  {
  split($3,ti,":");
  t=sprintf("%02d:%02d",ti[1],ti[2]);
  acq[t]++;
  acq_t++;
  if (ob[$8]++ == 0) acq_n[t]++;
  else acq_o[t]++;
  }

END {
  for (h=0;h<24;h++) for (m=0;m<60;m++) {
    t=sprintf("%02d:%02d",h,m);
    printf("monitorSTART=xxxx/xx/xx %s:00\n",t);
    printf("dicom_acquired=%d\n",acq[t]);
    printf("dicom_acquired_new=%d\n",acq_n[t]);
    printf("dicom_acquired_old=%d\n",acq_o[t]);
    }
  printf("# total: %d\n",acq_t);
}
'