#!/bin/bash
#
# Component: tools
#
# Description:
#   Stat post-processing module for objects processed
#
# Usage:
#
#    post_processing.sh [options]
#
#	-f returns the logfile used
#	-p returns the stat properties it creates
#
# Last Updated     : $Author$
# Update Date Time : $Date$
# RCS File Name    : $RCSfile$
# RCS Revision     : $Revision$
# Locked by        : $Locker$
# Symbolic name    : $Name$
# State            : $State$


if [ "$1" == "-f" ] ; then
  echo oper_info.log
  exit
elif [ "$1" == "-p" ] ; then
  echo "obj_retrieved
obj_acquired
obj_reindexed"
  exit
fi

if [ "$1" == "-d" ] ; then
  gdate=`date -d $2 +"%b %e"`
else
  gdate=`date +"%b %e"`
fi

grep -a -e "acquire" -e "retrieve" -e "reindex" | grep -a "^$gdate" | gawk '
$5 == "dcreg:" && $7=="INFO" {
   u = $3; split(u,tm,":");
   t=tm[1] ":" tm[2];  // minutes

   if ($8=="OBJECT") {
      if ($9=="acquire") ac[t]++;
      if ($9=="retrieve") rt[t]++;
      if ($9=="reindex") ri[t]++;
   }
}

$5 ~ /dcreg\[.+\]:/ && $6=="INFO" {
   u = $3; split(u,tm,":");
   t=tm[1] ":" tm[2];  // minutes

   if ($7=="OBJECT") {
      if ($8=="acquire") ac[t]++;
      if ($8=="retrieve") rt[t]++;
      if ($8=="reindex") ri[t]++;
   }
}

END {
  for (h=0;h<24;h++) for (m=0;m<60;m++) {
    t=sprintf("%02d:%02d",h,m);
    printf("monitorSTART=xxxx/xx/xx %s:00\n",t);
    printf("obj_acquired=%d\n",ac[t]);
    printf("obj_retrieved=%d\n",rt[t]);
    printf("obj_reindexed=%d\n",ri[t]);
    }
} '