#!/bin/bash
#
# Component: tools
#
# Description:
#   Stat post-processing module for repo handler activity
#
# Usage:
#
#    post_repo.sh [options]
#
#	-f returns the logfile used
#	-p returns the stat properties it creates
#
# Last Updated     : $Author: tnemeth $
# Update Date Time : $Date: 2007/07/10 13:33:58 $
# RCS File Name    : $RCSfile: post_latency.sh,v $
# RCS Revision     : $Revision: 1.2 $
# Locked by        : $Locker:  $
# Symbolic name    : $Name: tools_1_2_10_8 $
# State            : $State: Exp $


if [ "$1" == "-f" ] ; then
  echo info.log
  exit
elif [ "$1" == "-p" ] ; then
  echo "repo_data_move
repo_data_delete
repo_cache_move
repo_cache_delete
repo_proc_move
repo_proc_delete
repo_other_move
repo_other_delete"
  exit
fi

if [ "$1" == "-d" ] ; then
  gdate=`date -d $2 +"%b %e"`
else
  gdate=`date +"%b %e"`
fi

grep -a -e "CheckOverload" | grep -a "^$gdate" | gawk '

#  {print $0}
$7 == "moves" || $7 == "deletes" {
  u = $3; split(u,tm,":");
  t=tm[1] ":" tm[2];  // minutes

#  print "+++" $0
  if ($7=="moves")
  {
    if ($8 ~ "dicom.repository")
      d_mv[t]++;
    else if ($8 ~ "cache.repository")
      c_mv[t]++;
    else if ($8 ~ "processed.repository")
      p_mv[t]++;
    else
      o_mv[t]++;
  }
  else if ($7=="deletes")
  {
    if ($9 ~ "dicom.repository")
      d_dl[t]++;
    else if ($9 ~ "cache.repository")
      c_dl[t]++;
    else if ($9 ~ "processed.repository")
      p_dl[t]++;
    else
      o_dl[t]++;
  }
}

END {
  for (h=0;h<24;h++) for (m=0;m<60;m++) {
    t=sprintf("%02d:%02d",h,m);
    printf("monitorSTART=xxxx/xx/xx %s:00\n",t);
    printf("repo_data_move=%d\n",d_mv[t]);
    printf("repo_data_delete=%d\n",d_dl[t]);
    printf("repo_cache_move=%d\n",c_mv[t]);
    printf("repo_cache_delete=%d\n",c_dl[t]);
    printf("repo_proc_move=%d\n",p_mv[t]);
    printf("repo_proc_delete=%d\n",p_dl[t]);
    printf("repo_other_move=%d\n",o_mv[t]);
    printf("repo_other_delete=%d\n",o_dl[t]);
    }
} '