#!/bin/bash
#
# Component: tools
#
# Description:
#   Stat post-processing module for objects processed
#
# Usage:
#
#    post_serve.sh [options]
#
#	-f returns the logfile used
#	-p returns the stat properties it creates
#
# Last Updated     : $Author$
# Update Date Time : $Date$
# RCS File Name    : $RCSfile$
# RCS Revision     : $Revision$
# Locked by        : $Locker$
# Symbolic name    : $Name$
# State            : $State$


if [ "$1" == "-f" ] ; then
  echo access_log
  exit
elif [ "$1" == "-p" ] ; then
  echo "bytes_served_raw
bytes_served_cmp
bytes_served_max_raw
bytes_served_max_cmp"
  exit
fi

if [ "$1" == "-d" ] ; then
  gdate=`date -d $2 +"%d/%b/%Y"`
else
  gdate=`date +"%d/%b/%Y"`
fi

grep -a -e "frame.jsp" | grep -a -F "[$gdate:" | gawk '
   {
   u = $4; split(u,tm,":");
   t=tm[2] ":" tm[3];  // minutes
   t1=t ":" tm[4]; // seconds

   if ($7 ~ "raw")
   {
      b=(double) $10/1024;
      raw[t]+=b/1024;
      raw_sec[t1]+=b/128;
      if( raw_max[t]<raw_sec[t1] ) raw_max[t]=raw_sec[t1];
   }
   else
   {
      b=(double) $10/1024;
      cmp[t]+=b/1024;
      cmp_sec[t1]+=b/128;
      if( cmp_max[t]<cmp_sec[t1] ) cmp_max[t]=cmp_sec[t1];
   }
}

END {
  for (h=0;h<24;h++) for (m=0;m<60;m++) {
    t=sprintf("%02d:%02d",h,m);
    printf("monitorSTART=xxxx/xx/xx %s:00\n",t);
    printf("bytes_served_raw=%d\n",raw[t]);
    printf("bytes_served_cmp=%d\n",cmp[t]);
    printf("bytes_served_max_raw=%f\n",raw_max[t]);
    printf("bytes_served_max_cmp=%f\n",cmp_max[t]);
    }
} '
