#!/bin/bash
#
# Component: tools
#
# Description:
#   Stat post-processing module for objects streamed
#
# Usage:
#
#    post_stream.sh [options]
#
#	-f returns the logfile used
#	-p returns the stat properties it creates
#
# Last Updated     : $Author$
# Update Date Time : $Date$
# RCS File Name    : $RCSfile$
# RCS Revision     : $Revision$
# Locked by        : $Locker$
# Symbolic name    : $Name$
# State            : $State$


if [ "$1" == "-f" ] ; then
  echo streaminfo.log
  exit
elif [ "$1" == "-p" ] ; then
  echo "stream_total
stream_max
stream_clients
stream_ops"
  exit
fi

if [ "$1" == "-d" ] ; then
  gdate=`date -d $2 +"%b %e"`
else
  gdate=`date +"%b %e"`
fi

grep -a -e "INF: .X METRICS"  | gawk '

# time : id (thud:....) - INF: TX METRICS $9
#  a TX METRICS utani szamok sorrendben: eltelt ido [us], kuldott adat [B], kuldott packetek szama [<darab>], avg assembly time [us], avg send time [us]
# thid per connection

{
  u = $1; split(u,tm,":");
  t=tm[1] ":" tm[2];  // minutes
   
  if ($7=="TX")
  {
    if ( cl0[t "_" $4]++ == 0 ) cl[t]++;

      
    tot[t]+=$10/1024.0/1024/60; # KB/sec
    bw0=$10/1024/1024*1000000/$9  # KB/sec
    if (bw0>bw[t]) bw[t]=bw0;
  }
  else if ($7=="RX")
  {
    op[t]+=$10;
  }
  
}

END {

  for (h=0;h<24;h++) for (m=0;m<60;m++) {
    t=sprintf("%02d:%02d",h,m);
    printf("monitorSTART=xxxx/xx/xx %s:00\n",t);
    printf("stream_total=%f\n",tot[t]);
    printf("stream_max=%f\n",bw[t]);
    printf("stream_clients=%d\n",cl[t]);
    printf("stream_ops=%d\n",op[t]);
    }
    
} '