#!/bin/bash
#
# Component: tools
#
# Description:
#   Returns the last requested values from the monitor log
#
# Usage:
#   See usage_ or run makegraph0.sh -h
#

usage_()
{
	Quot=$"'"
	cat <<-END_OF_USAGE >&2
		Usage:

		snapshoot.sh [<options>]

		Options:
				-m <metrics>: requested metrics

	END_OF_USAGE
} # usage_


while getopts 'd:m:l:' OPT; do
	case $OPT in
		m) Metrics="$OPTARG" ;;
		*) usage_; exit 1 ;;
	esac
done

[ ! -f ~/var/log/monitor.log ] && exit
tac ~/var/log/monitor.log | awk -vFS="=" -vMetrica="$Metrics" 'BEGIN{split(Metrica, a, " "); for(i in a) {flds[a[i]]=1}; cnt=0;} (flds[$1] == 1) {print; flds[$1]=2; } ($1 == "monitorSTART") { if (++cnt==5) exit; }'
